Register a new user
import requests
url = "https://api.trysynch.com/User/Register"
payload = {
"redirectUrl": "<string>",
"mobileNumber": "<string>",
"email": "<string>",
"shortDescription": "<string>",
"amount": 123,
"period": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://api.trysynch.com/User/Register';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
redirectUrl: '<string>',
mobileNumber: '<string>',
email: '<string>',
shortDescription: '<string>',
amount: 123,
period: '<string>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));curl --request POST \
--url https://api.trysynch.com/User/Register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"redirectUrl": "<string>",
"mobileNumber": "<string>",
"email": "<string>",
"shortDescription": "<string>",
"amount": 123,
"period": "<string>"
}
'using RestSharp;
var options = new RestClientOptions("https://api.trysynch.com/User/Register");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"redirectUrl\": \"<string>\",\n \"mobileNumber\": \"<string>\",\n \"email\": \"<string>\",\n \"shortDescription\": \"<string>\",\n \"amount\": 123,\n \"period\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falserequire 'uri'
require 'net/http'
url = URI("https://api.trysynch.com/User/Register")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"redirectUrl\": \"<string>\",\n \"mobileNumber\": \"<string>\",\n \"email\": \"<string>\",\n \"shortDescription\": \"<string>\",\n \"amount\": 123,\n \"period\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"registrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"registrationUrl": "<string>"
}User
Register a new user
Prepares system for a new user onboarding
POST
/
User
/
Register
Register a new user
import requests
url = "https://api.trysynch.com/User/Register"
payload = {
"redirectUrl": "<string>",
"mobileNumber": "<string>",
"email": "<string>",
"shortDescription": "<string>",
"amount": 123,
"period": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://api.trysynch.com/User/Register';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
redirectUrl: '<string>',
mobileNumber: '<string>',
email: '<string>',
shortDescription: '<string>',
amount: 123,
period: '<string>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));curl --request POST \
--url https://api.trysynch.com/User/Register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"redirectUrl": "<string>",
"mobileNumber": "<string>",
"email": "<string>",
"shortDescription": "<string>",
"amount": 123,
"period": "<string>"
}
'using RestSharp;
var options = new RestClientOptions("https://api.trysynch.com/User/Register");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"redirectUrl\": \"<string>\",\n \"mobileNumber\": \"<string>\",\n \"email\": \"<string>\",\n \"shortDescription\": \"<string>\",\n \"amount\": 123,\n \"period\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falserequire 'uri'
require 'net/http'
url = URI("https://api.trysynch.com/User/Register")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"redirectUrl\": \"<string>\",\n \"mobileNumber\": \"<string>\",\n \"email\": \"<string>\",\n \"shortDescription\": \"<string>\",\n \"amount\": 123,\n \"period\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"registrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"registrationUrl": "<string>"
}Authorizations
JWT Authorization header using the Bearer scheme.
Use /auth/token to obtain access token.
Enter 'Bearer' [space] and then your token in the text input below.
Example: 'Bearer eyJhbGci...'
Body
application/jsontext/jsonapplication/*+json
Last modified on July 21, 2026
Was this page helpful?
⌘I